<h4 style="text-align: center; color: #3146B2">ESTAMPAR Y VERIFICAR</h4>
<div class="dropzone" appDropFile [dropFileActivado]="estadoDropzone1" (file)="uploadOtsOrFile($event)" onclick="document.getElementById('file1').click()">
  <input type="file" id="file1" [attr.disabled]="!estadoDropzone1 ? '' : null" (change)="inputFile($event, true)" style="display: none"/>
  <div class="text-wrapper">

    <div class="centered" *ngIf="otsOrFileName || aviso1 !== null;else sinOtsOrFileName">
      <div class="centered" *ngIf="aviso1 === null;else porAviso1">
        {{otsOrFileName}} ({{sizeFile}})
        <div *ngIf="estampando">
          <br><p style="font-weight: 600; cursor: pointer">{{valorEstampado}}</p>
          <div *ngIf="valorEstampado === 'ESTAMPANDO...'">
            <img class="loading-spiner" src="../../../assets/images/spiner2.svg">
          </div>
          <div *ngIf="valorEstampado === 'EXITO!'">
            Ots creado y comenzando la descarga...
          </div>
        </div>
        <div *ngIf="otsCargado">
          <div class="btn btnInfo" (click)="info()" style="z-index: 1;">INFO</div>
        </div>
      </div>
      <ng-template #porAviso1>
        <strong>{{aviso1}}</strong>
      </ng-template>
    </div>
    <ng-template #sinOtsOrFileName>
      <div class="icono-drop"></div>
      <div class="centered">Presiona/arrastra aquí el archivo a estampar<br>O<br>la prueba .ots a verificar</div>
    </ng-template>

  </div>
</div>

<div class="dropzone" *ngIf="otsCargado" appDropFile [dropFileActivado]="estadoDropzone2" (file)="uploadFile($event)" onclick="document.getElementById('file2').click()">
  <input type="file" id="file2" [attr.disabled]="!estadoDropzone2 ? '' : null" (change)="inputFile($event, false)" style="display: none"/>
  <div class="text-wrapper">

    <div class="centered" *ngIf="otsName || aviso2 !== null;else sinOtsName">
      <div class="centered" *ngIf="aviso2 === null;else porAviso2">
        {{otsName}} ({{sizeOriginalFile}})
        <div *ngIf="verificando">
          <br><p style="font-weight: 600">{{valorVerificado}}</p>
          <div *ngIf="valorVerificado === 'VERIFICANDO...'">
            <img class="loading-spiner" src="../../../assets/images/spiner2.svg">
          </div>
          <div *ngIf="attested">
            Bloque Bitcoin {{attested.bitcoin.height}} atestigua existencia a partir del {{secondsToDate(attested.bitcoin.timestamp)}}
          </div>
        </div>
      </div>
      <ng-template #porAviso2>
        <strong>{{aviso2}}</strong>
      </ng-template>
    </div>
    <ng-template #sinOtsName>
      <div class="icono-drop"></div>
      <div class="centered">Presiona o arrastra aquí el archivo original estampado</div>
    </ng-template>

  </div>
</div>
